%define		xmmsdep %(rpm -q --qf "%%{epoch}:%%{version}" xmms-devel)
%define		xmmsinputdir %(xmms-config --input-plugin-dir)
Summary:	Digital audio CD input plugin for XMMS
Name:		xmms-cdread
Version:	0.14
Release:        11%{?dist}
License:	GPL
Group:		Applications/Multimedia
URL:		http://www.xmms.org/
Source:		ftp://ftp.stack.nl/pub/users/willem/xmms-cdread-0.14a.tar.gz
Patch1:		xmms-cdread-shuffle.patch
Patch2:		xmms-cdread-x86_64.patch
Requires:	xmms
BuildRequires:	gtk+-devel glib-devel xmms-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
XMMS is a multimedia (Ogg Vorbis, CDs) player for the X Window System
with an interface similar to Winamp's. XMMS supports playlists and
streaming content and has a configurable interface.

This is the input plugin needed to play audio CDs digitally, i.e. without a
connecting cable between the CD drive and sound card.

%prep
%setup -q -n %{name}-%{version}a
%patch1 -p1
%patch2 -p1

%build
%configure --libdir=%{xmmsinputdir}
perl -pi -e 's/^(CFLAGS.*)-O2(.*)/$1\$\(RPM_OPT_FLAGS\)$2/' Makefile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{xmmsinputdir}/libcdread.so
%exclude %{xmmsinputdir}/libcdread.la

%changelog
* Thu Apr 13 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.14-11
- revert to Requires xmms

* Sat Apr  8 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.14-10
- changed Requires xmms -> xmms-libs

* Sun Mar  5 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.14-9
- x86_64 fixes 

* Sat Mar  4 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.14-8
- added libtool --finish
- added dist after release

* Wed Mar  1 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.14-7
- rebuild for Fedora Extras 5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.14-6.a
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Nov 24 2003 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.14-0.fdr.4.a
- Add XMMS 1.2.8 compat.patch from Mandrake Contrib,
  removes calls to private playlist_generate_shuffle_list().

* Sun Nov 23 2003 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.14-0.fdr.3.a
- Set versioned XMMS dependency at built-time.

* Thu Aug 07 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0.fdr.2.a
- Patch from Michael Schwendt (see below)
- Fixed source URL
- RPM_OPT_FLAGS fix

* Tue May 13 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0.fdr.1.a
- Fixed summary
- Packaged docs
- Using $RPM_BUILD_ROOT
- Unnecessary deps on automake/autoconf removed
- make with SMP flags
- uses xmms-config
- ldconfig calls removed

* Mon May 12 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0.fdr.0.a
- Adapted from xmms-mp3 by Dams <anvil[AT]livna.org>
